Subject: Re: [P2PSIP] Depicting framing header in Section 1.2

From: "Michael Chen" <[email-masked]>
Date: Wed, 10 Mar 2010 21:17:50 -0700

Bruce,

I am stunned. Framing header is discussed in detail in section 5.6.2 with section 5.6 Overlay Link Layer as its parent section. Are you sure?

Thanks

--Michael

-------- Original Message --------

Subject: Re: [P2PSIP] Depicting framing header in Section 1.2

From: Bruce Lowekamp <[email-masked]>

Date: Mon, March 08, 2010 8:58 am

To: Michael Chen <[email-masked]>

Cc: [email-masked]

The framing header is used by the "Forwarding and Link Management"

component in that diagram. I'll add some text to the description of

that component about the framing header.

Bruce

On Mon, Mar 8, 2010 at 6:24 AM, Michael Chen <[email-masked]> wrote:

> Hi,

> In the base draft, Section 1.2 should depict the framing header and its

> relation to TLS/DTLS. I suggest the following:

>       -------------------------------------- Overlay Link API

>          +------+  +------+

>          |TLS   |  |DTLS  |  ...

>          +------+  +------+

>          +---------------------------------+

>          |      Framing Header             |

>          +---------------------------------+

> Thanks

> --Michael

> _______________________________________________

> P2PSIP mailing list

> [email-masked]

> https://www.ietf.org/mailman/listinfo/p2psip

---

From: "Michael Chen" <[email-masked]>
Date: Thu, 11 Mar 2010 07:32:53 -0700

Bruce,

Words like "under", "above", "below" can easily confuse the same person

different time of the day. I agree the box doesn't belong to that diagram,

but at least the definition of the frame header depicts its logical and

structural relation to the Reload message. For example, at the end of

Section 5.6.2 Framing Header, add something like this:

The Framing Header immediately encapsulates a RELOAD message. Combined

with the depiction in Section 5.3, a framed RELOAD message looks like

this:

+-------------------------+
|     Framing Header      |
+-------------------------+
|    Forwarding Header    |
+-------------------------+
|    Message Contents     |
+-------------------------+
|     Security Block      |
+-------------------------+

or in case of a message fragment:

+-------------------------+
|     Framing Header      |
+-------------------------+
|    Forwarding Header    |
+-------------------------+
|    Message Fragment     |
+-------------------------+

Thank you

--Michael

-------- Original Message --------

Date: Thu, March 11, 2010 2:57 am

Cc: [email-masked]

Michael,

You're right that it should have been described in the Overlay Link

Layer. The most important point was that it's not under TLS/DTLS,

it's above them.

Framing header doesn't exist as a box in this diagram, regardless of

where you put it. It's not an architectural component. We could

conceivably put the three overlay link protocols at the bottom rather

than TLS/DTLS, though

------------------------------------ Overlay Link API

(DTLS/UDP+SR) (TLS/TCP+FH/NO-ICE) (DTLS/UDP+SR/NO-ICE)

I don't think that helps that much since those concepts haven't been

introduced that early, but if there's consensus that it's an

improvement, we could change it.

Bruce

> In Section 1.2, there these two:

> Forwarding and Link Management Layer: Stores and implements the

> routing table by providing packet forwarding services between

> nodes. It also handles establishing new links between nodes,

> including setting up connections across NATs using ICE.

> Overlay Link Layer: TLS [RFC5246] and DTLS [RFC4347] are the "link

> layer" protocols used by RELOAD for hop-by-hop communication.

> Each such protocol includes the appropriate provisions for per-hop

> framing or hop-by-hop ACKs required by unreliable transports.

> Your addition to the base-08 draft conflicts with the second one above. An

> explicit diagram is definitely needed. This is too fundamental. Do you mean

> this?

> or

>          +------------------+

>          |  Forwarding &    |

>          | Link Management  |

>          +------------------+

> Thank

> Subject: RE: [P2PSIP] Depicting framing header in Section 1.2

> From: "Michael Chen" <[email-masked]>

> Date: Wed, March 10, 2010 8:17 pm

> To: "Bruce Lowekamp" <[email-masked]>

> I am stunned. Framing header is discussed in detail in section 5.6.2 with

> section 5.6 Overlay Link Layer as its parent section. Are you sure?

> On Mon, Mar 8, 2010 at 6:24 AM, Michael Chen <[email-masked]>

> wrote: